// Code generated by protoc-gen-go. DO NOT EDIT.
// source: sms.proto

package sms

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type RequestOTPRequest struct {
	Phone                string   `protobuf:"bytes,1,opt,name=phone,proto3" json:"phone,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RequestOTPRequest) Reset()         { *m = RequestOTPRequest{} }
func (m *RequestOTPRequest) String() string { return proto.CompactTextString(m) }
func (*RequestOTPRequest) ProtoMessage()    {}
func (*RequestOTPRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_c8d8bdc537111860, []int{0}
}

func (m *RequestOTPRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestOTPRequest.Unmarshal(m, b)
}
func (m *RequestOTPRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestOTPRequest.Marshal(b, m, deterministic)
}
func (m *RequestOTPRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestOTPRequest.Merge(m, src)
}
func (m *RequestOTPRequest) XXX_Size() int {
	return xxx_messageInfo_RequestOTPRequest.Size(m)
}
func (m *RequestOTPRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestOTPRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RequestOTPRequest proto.InternalMessageInfo

func (m *RequestOTPRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

type RequestOTPReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RequestOTPReply) Reset()         { *m = RequestOTPReply{} }
func (m *RequestOTPReply) String() string { return proto.CompactTextString(m) }
func (*RequestOTPReply) ProtoMessage()    {}
func (*RequestOTPReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_c8d8bdc537111860, []int{1}
}

func (m *RequestOTPReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestOTPReply.Unmarshal(m, b)
}
func (m *RequestOTPReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestOTPReply.Marshal(b, m, deterministic)
}
func (m *RequestOTPReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestOTPReply.Merge(m, src)
}
func (m *RequestOTPReply) XXX_Size() int {
	return xxx_messageInfo_RequestOTPReply.Size(m)
}
func (m *RequestOTPReply) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestOTPReply.DiscardUnknown(m)
}

var xxx_messageInfo_RequestOTPReply proto.InternalMessageInfo

func (m *RequestOTPReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type VerifyOTPRequest struct {
	Phone                string   `protobuf:"bytes,1,opt,name=phone,proto3" json:"phone,omitempty"`
	Code                 string   `protobuf:"bytes,2,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VerifyOTPRequest) Reset()         { *m = VerifyOTPRequest{} }
func (m *VerifyOTPRequest) String() string { return proto.CompactTextString(m) }
func (*VerifyOTPRequest) ProtoMessage()    {}
func (*VerifyOTPRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_c8d8bdc537111860, []int{2}
}

func (m *VerifyOTPRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyOTPRequest.Unmarshal(m, b)
}
func (m *VerifyOTPRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyOTPRequest.Marshal(b, m, deterministic)
}
func (m *VerifyOTPRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyOTPRequest.Merge(m, src)
}
func (m *VerifyOTPRequest) XXX_Size() int {
	return xxx_messageInfo_VerifyOTPRequest.Size(m)
}
func (m *VerifyOTPRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyOTPRequest.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyOTPRequest proto.InternalMessageInfo

func (m *VerifyOTPRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *VerifyOTPRequest) GetCode() string {
	if m != nil {
		return m.Code
	}
	return ""
}

type VerifyOTPReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *VerifyOTPReply) Reset()         { *m = VerifyOTPReply{} }
func (m *VerifyOTPReply) String() string { return proto.CompactTextString(m) }
func (*VerifyOTPReply) ProtoMessage()    {}
func (*VerifyOTPReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_c8d8bdc537111860, []int{3}
}

func (m *VerifyOTPReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_VerifyOTPReply.Unmarshal(m, b)
}
func (m *VerifyOTPReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_VerifyOTPReply.Marshal(b, m, deterministic)
}
func (m *VerifyOTPReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_VerifyOTPReply.Merge(m, src)
}
func (m *VerifyOTPReply) XXX_Size() int {
	return xxx_messageInfo_VerifyOTPReply.Size(m)
}
func (m *VerifyOTPReply) XXX_DiscardUnknown() {
	xxx_messageInfo_VerifyOTPReply.DiscardUnknown(m)
}

var xxx_messageInfo_VerifyOTPReply proto.InternalMessageInfo

func (m *VerifyOTPReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*RequestOTPRequest)(nil), "RequestOTPRequest")
	proto.RegisterType((*RequestOTPReply)(nil), "RequestOTPReply")
	proto.RegisterType((*VerifyOTPRequest)(nil), "VerifyOTPRequest")
	proto.RegisterType((*VerifyOTPReply)(nil), "VerifyOTPReply")
}

func init() { proto.RegisterFile("sms.proto", fileDescriptor_c8d8bdc537111860) }

var fileDescriptor_c8d8bdc537111860 = []byte{
	// 186 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0xe2, 0x2c, 0xce, 0x2d, 0xd6,
	0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x57, 0xd2, 0xe4, 0x12, 0x0c, 0x4a, 0x2d, 0x2c, 0x4d, 0x2d, 0x2e,
	0xf1, 0x0f, 0x09, 0x80, 0xb2, 0x84, 0x44, 0xb8, 0x58, 0x0b, 0x32, 0xf2, 0xf3, 0x52, 0x25, 0x18,
	0x15, 0x18, 0x35, 0x38, 0x83, 0x20, 0x1c, 0x25, 0x6d, 0x2e, 0x7e, 0x64, 0xa5, 0x05, 0x39, 0x95,
	0x42, 0x12, 0x5c, 0xec, 0xc5, 0xa5, 0xc9, 0xc9, 0xa9, 0xc5, 0xc5, 0x60, 0xa5, 0x1c, 0x41, 0x30,
	0xae, 0x92, 0x0d, 0x97, 0x40, 0x58, 0x6a, 0x51, 0x66, 0x5a, 0x25, 0x21, 0x63, 0x85, 0x84, 0xb8,
	0x58, 0x92, 0xf3, 0x53, 0x52, 0x25, 0x98, 0xc0, 0x82, 0x60, 0xb6, 0x92, 0x16, 0x17, 0x1f, 0x92,
	0x6e, 0xbc, 0x36, 0x19, 0x95, 0x72, 0x71, 0x05, 0xfb, 0x06, 0x07, 0xa7, 0x16, 0x95, 0x65, 0x26,
	0xa7, 0x0a, 0x99, 0x70, 0x71, 0x21, 0x1c, 0x29, 0x24, 0xa4, 0x87, 0xe1, 0x39, 0x29, 0x01, 0x3d,
	0x34, 0x5f, 0x28, 0x31, 0x08, 0x19, 0x72, 0x71, 0xc2, 0xed, 0x13, 0x12, 0xd4, 0x43, 0x77, 0xb9,
	0x14, 0xbf, 0x1e, 0xaa, 0x73, 0x94, 0x18, 0x92, 0xd8, 0xc0, 0xe1, 0x67, 0x0c, 0x08, 0x00, 0x00,
	0xff, 0xff, 0x22, 0x5f, 0xd3, 0x37, 0x4c, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// SMSServiceClient is the client API for SMSService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SMSServiceClient interface {
	// User Transportation
	RequestOTP(ctx context.Context, in *RequestOTPRequest, opts ...grpc.CallOption) (*RequestOTPReply, error)
	VerifyOTP(ctx context.Context, in *VerifyOTPRequest, opts ...grpc.CallOption) (*VerifyOTPReply, error)
}

type sMSServiceClient struct {
	cc *grpc.ClientConn
}

func NewSMSServiceClient(cc *grpc.ClientConn) SMSServiceClient {
	return &sMSServiceClient{cc}
}

func (c *sMSServiceClient) RequestOTP(ctx context.Context, in *RequestOTPRequest, opts ...grpc.CallOption) (*RequestOTPReply, error) {
	out := new(RequestOTPReply)
	err := c.cc.Invoke(ctx, "/SMSService/RequestOTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *sMSServiceClient) VerifyOTP(ctx context.Context, in *VerifyOTPRequest, opts ...grpc.CallOption) (*VerifyOTPReply, error) {
	out := new(VerifyOTPReply)
	err := c.cc.Invoke(ctx, "/SMSService/VerifyOTP", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SMSServiceServer is the server API for SMSService service.
type SMSServiceServer interface {
	// User Transportation
	RequestOTP(context.Context, *RequestOTPRequest) (*RequestOTPReply, error)
	VerifyOTP(context.Context, *VerifyOTPRequest) (*VerifyOTPReply, error)
}

// UnimplementedSMSServiceServer can be embedded to have forward compatible implementations.
type UnimplementedSMSServiceServer struct {
}

func (*UnimplementedSMSServiceServer) RequestOTP(ctx context.Context, req *RequestOTPRequest) (*RequestOTPReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RequestOTP not implemented")
}
func (*UnimplementedSMSServiceServer) VerifyOTP(ctx context.Context, req *VerifyOTPRequest) (*VerifyOTPReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method VerifyOTP not implemented")
}

func RegisterSMSServiceServer(s *grpc.Server, srv SMSServiceServer) {
	s.RegisterService(&_SMSService_serviceDesc, srv)
}

func _SMSService_RequestOTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestOTPRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SMSServiceServer).RequestOTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/SMSService/RequestOTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SMSServiceServer).RequestOTP(ctx, req.(*RequestOTPRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _SMSService_VerifyOTP_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(VerifyOTPRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SMSServiceServer).VerifyOTP(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/SMSService/VerifyOTP",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SMSServiceServer).VerifyOTP(ctx, req.(*VerifyOTPRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _SMSService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "SMSService",
	HandlerType: (*SMSServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "RequestOTP",
			Handler:    _SMSService_RequestOTP_Handler,
		},
		{
			MethodName: "VerifyOTP",
			Handler:    _SMSService_VerifyOTP_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "sms.proto",
}
